curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendor-docs/{vendor_id} \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--form doc_type=PAN \
--form file=@example-file \
--form doc_value=ABCD1234{
"vendor_id": "johntest11111",
"doc_type": "CIN",
"doc_value": "easySplit/vendorKycDocs/152707/93117/CIN-Fue.pdf",
"status": "IN_REVIEW",
"remarks": null
}Upload Vendor Docs
Use this API to upload KYC documents of a specific vendor.
POST
/
easy-split
/
vendor-docs
/
{vendor_id}
curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendor-docs/{vendor_id} \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--form doc_type=PAN \
--form file=@example-file \
--form doc_value=ABCD1234{
"vendor_id": "johntest11111",
"doc_type": "CIN",
"doc_value": "easySplit/vendorKycDocs/152707/93117/CIN-Fue.pdf",
"status": "IN_REVIEW",
"remarks": null
}Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Headers
Body
multipart/form-data
Upload Vendor Docs Request Body.
Mention the type of the document you are uploading. Possible values: UIDAI_FRONT, UIDAI_BACK, UIDAI_NUMBER, DL, DL_NUMBER, PASSPORT_FRONT, PASSPORT_BACK, PASSPORT_NUMBER, VOTER_ID, VOTER_ID_NUMBER, PAN, PAN_NUMBER, GST, GSTIN_NUMBER, CIN, CIN_NUMBER, NBFC_CERTIFICATE. If the doc type ends with a number you should add the doc value else upload the doc file.
